#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE2,0xB3,0xF0,0x43,0x86,0xB3,0x1F,0x5A,0x0D,0xD7,0x57,0x25,
		0x65,0xBC,0x0D,0x04,0x1F,0x0D,0x9D,0xCB,0x72,0xAE,0xDE,0x5B,
		0xC6,0x59,0x7B,0x87,0xAE,0xCF,0x9C,0xA4,0x41,0x5D,0x65,0x16,
		0x10,0x57,0xFE,0x21,0xC6,0x92,0x30,0xBC,0x47,0x0C,0x78,0xA3,
		0xF9,0xDA,0xE1,0x4E,0x30,0x36,0x69,0x65,0x5E,0xF6,0x63,0x5B,
		0xD0,0x40,0xE1,0xD3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
